Save Terms & Conditions template
curl --request POST \
--url https://api.creditor.younegotiate.com/terms-conditions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subclient_id": "all",
"content": "<p>These terms apply before a consumer accepts a payment or settlement offer.</p>"
}
'import requests
url = "https://api.creditor.younegotiate.com/terms-conditions"
payload = {
"subclient_id": "all",
"content": "<p>These terms apply before a consumer accepts a payment or settlement offer.</p>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
subclient_id: 'all',
content: '<p>These terms apply before a consumer accepts a payment or settlement offer.</p>'
})
};
fetch('https://api.creditor.younegotiate.com/terms-conditions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Terms & Conditions updates saved.",
"data": {
"id": 123,
"company_id": 123,
"type": "terms-conditions",
"content": "<string>",
"is_master": true,
"subclient_id": 123,
"subclient": {
"id": 123,
"subclient_name": "<string>",
"unique_identification_number": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"message": "An active membership is required."
}{
"message": "<string>",
"errors": {}
}Save Terms & Conditions template
Create or update the master template using subclient_id=all, or create/update a template for an active sub-account using its ID.
POST
/
terms-conditions
Save Terms & Conditions template
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Last modified on July 20, 2026
Was this page helpful?
⌘I

